%define anolis_release 1
Name:		accel-config
Version:	3.4.6.4
Release:	%{anolis_release}%{?dist}
Summary:	Configure accelerator subsystem devices
# The entire source code is under GPLv2 except for accel-config
# library which is mostly LGPLv2.1, ccan/list which is BSD-MIT and
# the rest of ccan which is CC0.
License:        GPLv2 and LGPLv2+ and MIT and CC0
Group:		System Environment/Base
Source0:	https://github.com/intel/idxd-config/archive/refs/tags/%{name}-v%{version}.tar.gz

Requires:	%{name}-libs = %{version}-%{release}
BuildRequires:	autoconf
BuildRequires:	asciidoc
BuildRequires:	xmlto
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	systemd

%description
Utility library for configuring the accelerator subsystem.

%package devel
Summary:	Development files for libaccfg
License:	LGPLv2.1
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package libs
Summary:	Configuration library for accelerator subsystem devices
# All source code of configuration library is LGPLv2.1, except
# ccan/list which is BSD-MIT and the rest of ccan/ which is CC0.
License:	LGPLv2.1and MIT and CC0
Group:		System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description libs
Libraries for %{name}.

%prep
%setup -q -n idxd-config-%{name}-v%{version}

%build
echo %{version} > version
./autogen.sh
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%check
make check

%files
%defattr(-,root,root)
%license Documentation/COPYING licenses/BSD-MIT licenses/CC0
%license licenses/accel-config-licenses LICENSE_GPL_2_0
%{_bindir}/accel-config
%{_mandir}/man1/accel-config*
%{_sysconfdir}/accel-config/accel-config.conf.sample
%{_datadir}/accel-config/contrib/configs/*

%files libs
%defattr(-,root,root)
%doc README.md
%license Documentation/COPYING licenses/BSD-MIT licenses/CC0
%license licenses/libaccel-config-licenses accfg/lib/LICENSE_LGPL_2_1
%{_libdir}/libaccel-config.so.*

%files devel
%defattr(-,root,root)
%license Documentation/COPYING
%{_includedir}/accel-config/
%{_libdir}/libaccel-config.so
%{_libdir}/pkgconfig/libaccel-config.pc

%changelog
* Tue May 10 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.4.6.4-1
- init from upstream
